function [outputArg] = plot_suspension_histogram(panel, start, stop, pltData)
    % create tiledlayout (R2023a and newer)
    tl = tiledlayout(panel,"vertical");
    % plot 1: position heave front [mm/s]
    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Front left [mm/s]")
    histogram(ax1, pltData.velocity_FL_mmps(start:stop),"Normalization","percentage")
    % plot 2: position roll front [mm/s]
    ax2 = nexttile(tl);
    hold(ax2, "on")
    grid(ax2, "on")
    title(ax2, "Front right [mm/s]")
    histogram(ax2, pltData.velocity_FR_mmps(start:stop),"Normalization","percentage")
    % plot 3: position heave front [mm/s]
    ax3 = nexttile(tl);
    hold(ax3, "on")
    grid(ax3, "on")
    title(ax3, "Rear left [mm/s]")
    histogram(ax3, pltData.velocity_RL_mmps(start:stop),"Normalization","percentage")
    % plot 4: position roll front [mm/s]
    ax4 = nexttile(tl);
    hold(ax4, "on")
    grid(ax4, "on")
    title(ax4, "Rear right [mm/s]")
    histogram(ax4, pltData.velocity_RR_mmps(start:stop),"Normalization","percentage")
    linkaxes([ax1, ax2, ax3, ax4],"x")

    % return null (not relevant for plots!)
    outputArg = [];
end

